<template>
<div v-if="this.$store.getters.authenticatedUser">
<b-container>
    <br>
    <br>
    <b-row>
    <b-col cols="1"></b-col>
    <b-col cols="10">
    <DeploymentsPagination>
    </DeploymentsPagination>
    </b-col>
    <b-col cols="1"></b-col>
    </b-row>
</b-container>
</div>
<div v-else>
  <NoAccess></NoAccess>
  </div>
</template>

<script>
import DeploymentsPagination from '../components/deployment/DeploymentsPagination.vue'
import NoAccess from '../components/NoAccess.vue'
import {mapGetters} from 'vuex'

export default {
  components: {DeploymentsPagination, NoAccess},
  beforeCreate () {
    console.log(this.$store.getters.authenticatedUser)
    if (this.$store.getters.authenticatedUser === false) {
      this.$router.push({name: 'home'})
    }

  },

  created () {
    console.log(this.$store.getters.authenticatedUser)
  },
  computed: {
    ...mapGetters([
      'authenticatedUser'
    ]),
    user () {
      // get the fullname of the logged in user
      if (Object.keys(this.$store.state.user).length > 0) {
        return this.$store.state.user.name
      }
      return ''
    }
  }
}
</script>

<style scoped>
</style>
